import request from '@/utils/request';


/**
 * 获取信息列表
 */
export async function getTableList(params) {
  const res = await request.get(`/eom/purchaseinquiry/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 获取信息详情
 */
export async function getpurchaseinquiry(id) {
  const res = await request.get(`/eom/purchaseinquiry/getById/${id}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 更新信息
 */
export async function UpdateInformation(data) {
  const res = await request.put(`/eom/purchaseinquiry/update`, data);
  return res.data
}


/**
 * 设置中标单位
 */
export async function chooseWinner(data) {
  const res = await request.post(`/eom/purchaseinquiry/chooseWinner`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 获取生成合同的数据
 */
export async function generateContract(data) {
  const res = await request.post(`/eom/purchaseinquiry/generateContract`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 流程作废
 */
export async function cancel(data) {
  const res = await request.put(`/bpm/purchaseInquiryApprove/notPass`, data);
  if (res.data.code == 0) {
    return Promise.resolve(res.data);
  }
  return Promise.reject(new Error(res.data.message));
}
